Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class MotifAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
                  de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
                      de.jstacs.data.sequences.annotation.StrandedLocatedSequenceAnnotationWithLength
                          de.jstacs.data.sequences.annotation.MotifAnnotation

All Implemented Interfaces:
  Storable

    public class MotifAnnotation

extends StrandedLocatedSequenceAnnotationWithLength

Class for a `StrandedLocatedSequenceAnnotationWithLength` that is a motif. The usefulness of this class amounts to having a defined type for all motifs.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.data.sequences.annotation.StrandedLocatedSequenceAnnotationWithLength
`StrandedLocatedSequenceAnnotationWithLength.Strand`

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`MotifAnnotation(StringBuffer representation)` Re-creates a `MotifAnnotation` from its XML-representation as returned by `StrandedLocatedSequenceAnnotationWithLength.toXML()`.
`MotifAnnotation(String identifier, int position, int length, StrandedLocatedSequenceAnnotationWithLength.Strand strandedness, Result... additionalAnnotation)` Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type`, with identifier `identifier`, and additional annotation (that does not fit the `SequenceAnnotation` definitions) `additionalAnnotation`.

Method Summary

Methods inherited from class de.jstacs.data.sequences.annotation.StrandedLocatedSequenceAnnotationWithLength
`fromXML, getStrandedness, toString, toXML`

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
`getEnd, getLength`

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
`getPosition`

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MotifAnnotation

    public MotifAnnotation(String identifier,
                           int position,
                           int length,
                           StrandedLocatedSequenceAnnotationWithLength.Strand strandedness,
                           Result... additionalAnnotation)

  Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type`, with identifier `identifier`, and additional annotation (that does not fit the `SequenceAnnotation` definitions) `additionalAnnotation`.

  Parameters:
    `position` - the position of the `StrandedLocatedSequenceAnnotationWithLength` on the sequence
    `length` - the length of the `StrandedLocatedSequenceAnnotationWithLength`
    `strandedness` - the orientation on the strand
    `identifier` - the identifier of the annotation
    `additionalAnnotation` - the additional annotation

### MotifAnnotation

    public MotifAnnotation(StringBuffer representation)
                    throws NonParsableException

  Re-creates a `MotifAnnotation` from its XML-representation as returned by `StrandedLocatedSequenceAnnotationWithLength.toXML()`.

  Parameters:
    `representation` - the XML-representation
  Throws:
    `NonParsableException` - is thrown if the XML-code could not be parsed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD